%define    anolis_release 4

%global    fontname    cantarell
%global    fontconf    31-%{fontname}.conf
%global    fontconfvf  31-%{fontname}-vf.conf

Name:                  abattis-cantarell-fonts
Version:               0.303.1
Release:               %{anolis_release}%{?dist}
Summary:               Humanist sans serif font
License:               OFL
URL:                   https://gitlab.gnome.org/GNOME/cantarell-fonts
Source0:               https://download.gnome.org/sources/cantarell-fonts/%{version}/cantarell-fonts-%{version}.tar.xz
Source1:               31-cantarell.conf
Source2:               31-cantarell-vf.conf

BuildArch:             noarch

BuildRequires:         fontpackages-devel gettext libappstream-glib-devel meson
BuildRequires:         fontconfig pkgconfig xz pkgconfig(appstream-glib)
Requires:              fontpackages-filesystem

%description
This package is the default font for the user interface, which replaces Bitstream Vera.
The font was originally created by Dave Crossland in 2009.

%package -n abattis-cantarell-vf-fonts
Summary: Humanist sans serif font (variable)
BuildArch: noarch
Requires: fontpackages-filesystem
Requires: %{name} = %{version}-%{release}

%description -n abattis-cantarell-vf-fonts
The Cantarell font family is a contemporary Humanist sans serif
designed for on-screen reading. The fonts were originally designed
by Dave Crossland.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%autosetup -n cantarell-fonts-%{version}

%build
%meson \
        -Dfontsdir=%{_fontbasedir}/%{name} \
        -Duseprebuilt=true
%meson_build

%install
%meson_install
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} %{buildroot}%{_fontconfig_templatedir}/
install -m 0644 -p %{SOURCE2} %{buildroot}%{_fontconfig_templatedir}/

ln -s %{_fontconfig_templatedir}/%{fontconf} %{buildroot}%{_fontconfig_confdir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconfvf} %{buildroot}%{_fontconfig_confdir}/%{fontconfvf}

%check
appstream-util validate-relax --nonet  %{buildroot}%{_datadir}/metainfo/org.gnome.cantarell.metainfo.xml


%files
%license COPYING
%{_fontconfig_confdir}/%{fontconf}
%{_fontconfig_templatedir}/%{fontconf}

%files -n abattis-cantarell-vf-fonts
%{_fontbasedir}/%{name}/*.otf
%{_fontconfig_templatedir}/%{fontconfvf}
%{_fontconfig_confdir}/%{fontconfvf}

%files doc
%doc NEWS README.md
%{_datadir}/metainfo/org.gnome.cantarell.metainfo.xml

%changelog
* Fri Feb 24 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.303.1-4
- Add abattis-cantarell-vf-fonts sub-package

* Mon Feb 20 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.303.1-3
- Rewrite the spec file without font template
- Add doc package

* Wed Apr 20 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 0.303.1-2
- Add a sub-package for variable font, abattis-cantarell-vf-fonts
- Rewrite the spec file in font template

* Wed Apr 20 2022 yuanhui <yuanhui@linux.alibaba.com> - 0.303.1-1
- Init abattis-cantarell-fonts for anolis os 23

